<?php

Route::group(['prefix' => 'system'], function () {
    Route::get('/', ['as' => 'system.index', 'uses' => 'SystemController@index']);
    Route::get('/db/truncate', ['as' => 'db.truncate', 'uses' => 'SystemController@truncateAllTables']);
    Route::group(['prefix' => 'artisan'], function () {
        Route::get('/optimize', ['as' => 'artisan.optimize', 'uses' => 'SystemController@optimize']);
        Route::get('/clear-cache', ['as' => 'artisan.clear.cache', 'uses' => 'SystemController@clearCache']);
        Route::get('/clear-cache-view', ['as' => 'artisan.clear.view', 'uses' => 'SystemController@optimize']);
        Route::get('/seed', ['as' => 'artisan.seed', 'uses' => 'SystemController@seed']);
        Route::get('/migration', ['as' => 'artisan.migration', 'uses' => 'SystemController@migration']);
        Route::get('/migration/fresh', ['as' => 'artisan.migration.fresh', 'uses' => 'SystemController@migrationFresh']);
        Route::get('/migration/fresh/seed', ['as' => 'artisan.migration.fresh.seed', 'uses' => 'SystemController@migrationFreshWithSeed']);

    });
});
